<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\FilterSearch;

use Kufer\Web\KuferTools\Utils\FilterSearch\Method\EqualsIntMethod;
use Kufer\Web\KuferTools\Utils\FilterSearch\Method\StartsWithStringMethod;

class TeilnehmerSearchFilter extends ToolSearchFilter
{
  public function __construct()
  {
    parent::__construct();

    $this->addSearch(
      'name',
      new StartsWithStringMethod('Nachname')
    );

    $this->addSearch(
      'vorname',
      new StartsWithStringMethod('Vorname')
    );

    $this->addSearch(
      'tnr',
      new EqualsIntMethod('Id')
    );

    $this->addSearch(
      'pnr',
      new StartsWithStringMethod('Personalnummer')
    );

    $this->addSearch(
      'ausweisnr',
      new StartsWithStringMethod('Ausweisnummer')
    );

    $this->addSearch(
      'wohnort',
      new StartsWithStringMethod('Ort')
    );

    $this->addSearch(
      'strasse',
      new StartsWithStringMethod('Strasse')
    );

    $this->addSearch(
      'zusatz',
      new StartsWithStringMethod('Zusatz')
    );
  }
}